Recuperar funciones de una definición dada
curl --request GET \
--url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Funciones
Retrieve functions for a given definition
Recuperar todas las funciones incluidas en una definición.
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
Recuperar funciones de una definición dada
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El identificador único de la aplicación.
El identificador único para la definición de la acción.
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026
Retrieve functions by a type for a given definition
Anterior
Update a function for a definition
Siguiente
⌘I